var map;
var idInfoBoxAberto;
var infoBox = [];
var markers = [];

//COLOCAR PONTOS NO MAPA - INICIO
function initialize() {	
    var latlng = new google.maps.LatLng( -5.027656, -42.811056);
	
    var options = {
	stylers: { hue: "#00ffe6" },      	
	zoom: 5,	
	center: latlng,
    	mapTypeId: google.maps.MapTypeId.ROADMAP
    };

    map = new google.maps.Map(document.getElementById("mapa"), options);

}

initialize(); //COLOCAR PONTOS NO MAPA - FIM

function abrirInfoBox(id, marker) {
	if (typeof(idInfoBoxAberto) == 'number' && typeof(infoBox[idInfoBoxAberto]) == 'object') {
		infoBox[idInfoBoxAberto].close();
	}

	infoBox[id].open(map, marker);
	idInfoBoxAberto = id;
}

function carregarPontos() {
	
	$.getJSON('js/pontos.json', function(pontos) {
		
		var latlngbounds = new google.maps.LatLngBounds();
		
		$.each(pontos, function(index, ponto) {
			
			var marker = new google.maps.Marker({
				position: new google.maps.LatLng(ponto.Latitude, ponto.Longitude),
				title: ponto.nome,
		                map: map,
				//DESATIVA O ICONE PERSONALIZADO
				//icon: 'img/marcador.png'		

			});
			
			var myOptions = {
				content: "<p>" + ponto.nome + "</p>",
				pixelOffset: new google.maps.Size(20, -55),
				boxStyle: {opacity: 0.85,width: "200px"},
				//ATIVA DESATIVA INFOBOX
				isHidden: false				
        	};

			infoBox[ponto.nome] = new InfoBox(myOptions);
			infoBox[ponto.nome].marker = marker;
			
			infoBox[ponto.nome].listener = google.maps.event.addListener(marker, 'click', function (e) {				
				abrirInfoBox(ponto.nome, marker);
				ib.open(map, this);
			});

			var ib = new InfoBox(myOptions);
			ib.open(map, marker);			

			markers.push(marker);
			
			latlngbounds.extend(marker.position);
			
		});
		
		//AGRUPA ou DESAGRUPA OS PONTOS
		//var markerCluster = new MarkerClusterer(map, markers);
		
		map.fitBounds(latlngbounds);
		
	});
	
}

carregarPontos();